<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Cobra extends CI_Controller {
	public function __construct(){
		parent::__construct();

	}
	
    function tambahdaftarunitukm(){
		cek_session_akses('daftarunitukm',$this->session->id_session);
		$this->data['kodenya'] = $this->model_ukm->kodeukm();
		
		$this->data['judul']          = 'TAMBAH DATA';
		$this->data['action']         = site_url('cobra/simpandaftarunitukm');
		$this->data['buttonsimpan']   = 'Simpan';
		$this->data['buttonbatal']    = 'Batal';

		$this->data['idx'] = array('name'  => 'idx','id'    => 'idx','type'  => 'hidden',);

		$this->data['xnamaukm'] = array('name'  => 'xnamaukm','id'    => 'xnamaukm',
			'type'  => 'text','class' => 'form-control','value' => $this->form_validation->set_value('xnamaukm'),
		);	

		$this->data['xprovinsi'] = array('name' 		=> 'xprovinsi','id'    	=> 'xprovinsi','class' 	=> 'form-control',
			'onChange' 	=> 'tampilkotakabupaten()','value' 	=> $this->form_validation->set_value('xprovinsi'),
		);

		$this->data['xkota'] = array('name'  => 'xkota','id'    => 'xkota',
			'class' => 'form-control','value' => $this->form_validation->set_value('xkota'),
		);		

		$this->data['ambilprovinsi'] = $this->model_rajaongkir->ambilprovinsi();
		$this->template->load('cobra/template','cobra/mod_ukm/form_tambah',$this->data);
	}

	function pilihkotakabupaten(){
		cek_session_akses('daftarunitukm',$this->session->id_session);
		$this->data['kotakabupaten']=$this->model_rajaongkir->ambilkotakabupaten($this->uri->segment(3));
		$this->load->view('cobra/mod_ukm/find_kotakabupaten',$this->data);
	}
}	
