<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class Model_rajaongkir extends CI_Model {

	function ambilprovinsi(){
		$curl = curl_init();
		curl_setopt_array($curl, array(
			
			CURLOPT_URL => "https://api.rajaongkir.com/starter/province",
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_ENCODING => "",
			CURLOPT_MAXREDIRS => 10,
			CURLOPT_TIMEOUT => 30,
			CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			CURLOPT_CUSTOMREQUEST => "GET",
			CURLOPT_HTTPHEADER => array(
			"key: something key"
		  	),
		));
		
		$response = curl_exec($curl);
        $err = curl_error($curl);
        
		curl_close($curl);

		if ($err) {
			echo "cURL Error #:" . $err;
		}else{
			$prov = json_decode($response, true);
			for ($i=0; $i < count($prov['rajaongkir']['results']); $i++) {
				$xprovinsi['']= '- Pilih Provinsi -';
				$xprovinsi[$prov['rajaongkir']['results'][$i]['province_id']]= ucwords(strtolower($prov['rajaongkir']['results'][$i]['province']));
			}
			return $xprovinsi;
		}
	}

	function ambilkotakabupaten($idprov){		
		$curl = curl_init();
		
		curl_setopt_array($curl, array(
		  CURLOPT_URL => "https://api.rajaongkir.com/starter/city?province=$idprov",
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => "",
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 30,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => "GET",
		  CURLOPT_HTTPHEADER => array(
		    "key: something key"
		  ),
		));

		$response = curl_exec($curl);
		$err = curl_error($curl);

		curl_close($curl);

		if ($err) {
		  echo "cURL Error #:" . $err;
		}else{
			$kota = json_decode($response, true);
		    for ($j=0; $j < count($kota['rajaongkir']['results']); $j++){
				$xkota[$kota['rajaongkir']['results'][$j]['city_id']]= ucwords(strtolower($kota['rajaongkir']['results'][$j]['city_name']));
			}
			return $xkota;
		}
	}
}
