<section class="content-header">
    <h1>Dashboard<small>Control Panel</small></h1>
    <?php
        $navi= ucfirst($this->uri->segment(2));
        echo "<ol class='breadcrumb'>
            <li><a href='".base_url()."cobra/home'><i class='fa fa-dashboard'></i> Beranda</a></li>
            <li class='active'>$navi</li>
        </ol>";
    ?>
</section>
<section class="content"> 
	<div class="row">
		<div class="col-md-12">
			<div class="box box-success">
				<div class="box-header with-border">
					<h3 class="box-title"><?php echo $judul ?></h3>
				</div>			
				<?php echo form_open_multipart($action);?>
					<div class="box-body">
						<?php echo form_input($idx,$kodenya);?>	
						<div class="row">	
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label"><span class="text-red">*</span> Provinsi <?php echo form_error('xprovinsi') ?></label>
									<?php echo form_dropdown('', $ambilprovinsi, '', $xprovinsi); ?>
								</div>	
							</div>		
							<div class="col-md-6">	
								<div class="form-group">
									<label class="control-label"><span class="text-red">*</span> Kota/Kabupaten <?php echo form_error('xkota') ?></label>
									<?php echo form_dropdown('', array(''=>'- Pilih Kota/Kabupaten -'), '', $xkota); ?>
								</div>	
							</div>	
						</div>
						<div class="form-group">
							<label class="control-label"><span class="text-red">*</span> Nama UKM<?php echo form_error('xnamaukm') ?></label>
							<?php echo form_input($xnamaukm);?>
						</div>	
						<div class="form-group">
							<label class="control-label">Logo </label>
							<input type="file" class="form-control" name="logo" id="logo" />
							<p class="help-block"> Hanya *JPG, *JEPG, *PNG dan Kapasitas Maksimal 1 MB</p>
						</div>								
					</div>
					<div class="box-footer">
						<button type="submit" class="btn btn-success pull-right"><span class="glyphicon glyphicon-floppy-disk"></span> <?php echo $buttonsimpan ?></button>
						<a href="<?php echo site_url('cobra/daftarunitukm') ?>"><button type="button" class="btn btn-default"><span class="glyphicon glyphicon-repeat"></span> <?php echo $buttonbatal ?></button></a>
					</div>	
				<?php echo form_close(); ?>
			</div>
		</div>
	</div>
</section>

<script type="text/javascript">
	function tampilkotakabupaten(){
		xprovinsi = document.getElementById("xprovinsi").value;
		$.ajax({
			url:"<?php echo base_url();?>cobra/pilihkotakabupaten/"+xprovinsi+"",
			success: function(response){
				$("#xkota").html(response);
			},
			dataType:"html"
		});
  		return false;
  	}
</script>